AOZ Studio Beta - Bug #247

Calling Boom, Shoot, or Bell too quickly causes AOZ to lock up. (Other events are not processed.)
02/22/2020 01:20 PM - Brian Flanagan

Status: Feedback Start date: 02/22/2020
Priority: Low Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 2:00 hours
Target version:

Affected version: Beta RC3

Description

If Shoot or Boom is called a second time too quickly, it will cause AOZ to fail processing other commands.

In this example, after the first click, the sound is triggered continuously, and somehow, it is interfering with other event handling. The
program never detects when the mouse button has been released, nor does it detect a break (Ctrl-C):

Repeat
If Mouse Key = 1 Then Shoot
Until Mouse Key = 2
See related bug #74 (closed) for more information. This used to cause an Internal error.
Now, it just locks up AOZ (no more events are processed).
This can still be worked around by putting in a sufficient delay:
Repeat
If Mouse Key = 1 Then Shoot

Wait Vbl
Until Mouse Key = 2

History

#1 - 02/29/2020 02:21 AM - Brian Flanagan
- Affected version changed from 0.9.5t0 0.9.5.1

#2 - 09/29/2020 03:47 AM - Brian Flanagan

- Priority changed from Normal to Low

- Estimated time set to 2:00 h

- Affected version changed from 0.9.5.1 to Beta RC3

Re-tested in Beta RC3. Still a problem.

#3 - 04/01/2021 03:31 PM - Francois Lionet
- Status changed from New to Feedback

- Assignee set to Francois Lionet

Will be fixed when re-write the sound engine from scratch. next week (4th of April-> start on it).
